#include "LED.cpp"
#include <BLEUtils.h>

class BluetoothLEDCallback : public BLECharacteristicCallbacks {
	LED *_seatingLeds, *_kitchenLeds;

	void onWrite(BLECharacteristic *characteristic) {
		std::string value = characteristic->getValue();
		if (value.length() > 0) {
			Serial.println(value.c_str());
			if (value == "seating on")
				_seatingLeds->on();
			if (value == "kitchen on")
				_kitchenLeds->on();
			if (value == "seating off")
				_seatingLeds->off();
			if (value == "kitchen off")
				_kitchenLeds->off();
		}
	}

	public:

	BluetoothLEDCallback(LED *seatingLeds, LED *kitchenLeds){
		_seatingLeds = seatingLeds;
		_kitchenLeds = kitchenLeds;
	}
};
